<template>
  <div class="kit toggle btn">
    <button class="btn">
      <i
        v-if="iconBtn === 'table'"
        class="icon">
        <img
          svg-inline
          src="~/assets/svg/toggle-btn/table.svg"
          alt="">
      </i>
      <i
        v-if="iconBtn === 'tile'"
        class="icon">
        <img
          svg-inline
          src="~/assets/svg/toggle-btn/tile.svg"
          alt="">
      </i>
      <i
        v-if="iconBtn === 'info'"
        class="icon">
        <img
          svg-inline
          src="~/assets/svg/toggle-btn/info.svg"
          alt="">
      </i>
      {{ textBtn }}
    </button>
  </div>
</template>

<script>
export default {
  name: 'ToggleBtn',
  props: {
    iconBtn: {
      type: String,
      default: 'info',
    },
    textBtn: {
      type: String,
      default: 'О товаре',
    },
  },
};
</script>

<style scoped lang="scss">
  .kit.toggle.btn {
    > .btn {
      display: flex;
      justify-content: center;
      align-items: center;
      outline: none;
      min-width: 6.25rem;
      box-shadow: none;
      border-radius: 0.1875rem;
      border: 1px solid #9badb9;
      background-color: #ffffff;
      font-size: 0.8125rem;
      text-align: center;
      padding: 0.75rem;
      cursor: pointer;
      color: #4a4a4a;
      font-weight: 500;
      &:hover {
        background-color: #e4ebf6;
      }
      i.icon {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        color: #4272A4;
        width: 1rem;
        height: 1rem;
        margin-right: 0.5rem;
        vertical-align: top;
        .svg-fill {
          width: auto;
          height: 0.8125rem;
          fill: #4272A4;
        }
      }
    }
    &.mini {
      > .btn {
        font-size: 0;
        border: none;
        min-width: 2.25rem;
        padding: 0.5rem 0.25rem;

        i.icon {
          margin-right: 0;
          margin: auto;
        }
      }
    }
    &.active {
      pointer-events: none;
      > .btn {
        background-color: #e4ebf6;
      }
    }
    + .kit.toggle.btn {
      margin-left: 0.5rem;
    }
  }
</style>
